%
%   This function transforms the interpolation data for the
%    multiple Nevanlinna-Pick interpolation problem subjected
%    to the bilinear transformation
%
%               af(z) + b                      b - dg(z)
%       g(z) = -----------     <-->    f(z) = ----------- 
%               cf(z) + d                      cg(z) - a
%
%   Input:  rangetrans  -  Transformation parameters
%           interdata   -  Interpolation point for f
%
%   Output: interdata   -  Interpolation data for g
%
function interdatanew = bilinearrangedata(rangetrans,interdata)

for k = 1:interdata.ntilde
    w{k} = bilinearrangedatalow(rangetrans.a,rangetrans.b, ...
        rangetrans.c,rangetrans.d,interdata.w{k});
end

interdatanew = getinterdata(interdata.z,w,interdata.speczeros);