%
%   This function checks whether the interpolation conditions
%    are satisfied or not.
%
function interror = interror(alpha,beta,interdata)

for k = 1:interdata.ntilde
    if interdata.z(k) == Inf
        interdata.z(k) = 1e10;
    end
end

alpha = fliplr(alpha);
beta = fliplr(beta);

for k = 1:interdata.ntilde
    ww(k) = interdata.w{k}(1);
end
 
errorvec = polyval(beta,interdata.z)./polyval(alpha,interdata.z) - ww;

for m = 2:max(interdata.mw)
    
    [ beta, alpha ] = rationaldiff(beta,alpha);
    
    % Pick out the points with at least m:th interpolation
    zz = []; ww= [];
    for k = 1:interdata.ntilde
        if length(interdata.w{k}) >= m
            ww = [ ww interdata.w{k}(m) ];
            zz = [ zz interdata.z(k) ];
        end
    end
    
    errorvec = [ errorvec polyval(beta,zz)./polyval(alpha,zz) - ww ];

end

interror = norm(errorvec);

for k = 1:interdata.ntilde
    if interdata.z(k) >= 1e10
        interdata.z(k) = Inf;
    end
end